Default format () expects 5 args, got 4

So I was trying to upgrade my i337m rom today and was greeted with this error format () expects 5 args, got 4 on all of them except for a 4.4.2 version of Gummy.

Kinda sucks. No matter what I do now, Odin back to stock etc I cannot get around it...